%define ver_major 2.32

Name: libgnomekbd
Version: %ver_major.0
Release: alt1

Summary: GNOME keyboard shared library
License: %lgpl2plus
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/

Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2

Obsoletes: gnome-kbd-indicator < 2.22.0
Provides: gnome-kbd-indicator = %version-%release

Requires(post,preun): GConf
Conflicts: gnome-control-center <= 2.18.0

%define glib_ver 2.16
%define gconf_ver 2.14.0
%define gtk_ver 2.13
%define libxklavier_ver 5.0

BuildPreReq: rpm-build-gnome >= 0.4
BuildPreReq: rpm-build-licenses

# from configure.in
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libGConf-devel >= %gconf_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libxklavier-devel >= %libxklavier_ver
BuildPreReq: intltool >= 0.35.0
BuildPreReq: libX11-devel libXt-devel GConf

%description
GNOME keyboard shared library.

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
GNOME keyboard shared library.

This is package contain development files for %name.

%prep
%setup -q

%build
%configure \
	--disable-schemas-install \
	--disable-static
%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang --with-gnome %name

%check
%make check

%post
%gconf2_install desktop_gnome_peripherals_keyboard_xkb

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall desktop_gnome_peripherals_keyboard_xkb
fi

%files -f %name.lang
%_libdir/lib*.so.*
%doc AUTHORS NEWS

# gnome-kbd-indicator
%_bindir/gkbd-indicator-plugins-capplet
%_desktopdir/gkbd-indicator-plugins-capplet.desktop
%_datadir/%name
%config %gconf_schemasdir/desktop_gnome_peripherals_keyboard_xkb.schemas

%files devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc

%changelog
* Sun Oct 03 2010 Yuri N. Sedunov <aris@altlinux.org> 2.32.0-alt1
- 2.32.0

* Wed Jun 23 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.2-alt1
- 2.30.2

* Sat Apr 24 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.1-alt1
- 2.30.1

* Mon Mar 29 2010 Yuri N. Sedunov <aris@altlinux.org> 2.30.0-alt1
- 2.30.0

* Sun Mar 14 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.92-alt2
- don't use flags in keyboard indicator by default

* Tue Mar 09 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.92-alt1
- 2.29.92

* Mon Jan 11 2010 Yuri N. Sedunov <aris@altlinux.org> 2.29.5-alt1
- 2.29.5

* Sun Dec 13 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.2-alt1
- 2.28.2

* Wed Sep 23 2009 Yuri N. Sedunov <aris@altlinux.org> 2.28.0-alt1
- 2.28.0

* Wed Sep 09 2009 Yuri N. Sedunov <aris@altlinux.org> 2.27.91-alt1
- 2.27.91

* Tue Aug 11 2009 Yuri N. Sedunov <aris@altlinux.org> 2.27.4-alt1
- 2.27.4
- updated buildreqs

* Sat Mar 14 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt1
- 2.26.0
- removed obsolete %%post{,un}_ldconfig
- updated buildreqs

* Sun Sep 28 2008 Alexey Shabalin <shaba@altlinux.ru> 2.24.0-alt1
- new version (2.24.0)

* Wed Apr 02 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt1
- new version (2.22.0)
- libgnomekbd contain gnome-kbd-indicator(#14112)

* Tue Mar 18 2008 Alexey Shabalin <shaba@altlinux.ru> 2.21.4.1-alt1.1
- build for Sisyphus
- build with libxklavier-0.35

* Sun Mar 09 2008 Alexey Shabalin <shaba@altlinux.ru> 2.21.4.1-alt1
- new version (2.21.4.1)

* Tue Sep 18 2007 Alexey Rusakov <ktirf@altlinux.org> 2.20.0-alt1
- new version (2.20.0)
- use macros from rpm-build-gnome and rpm-build-licenses
- gnome-kbd-indicator now depends on a specific version-release of
  libgnomekbd
- updated dependencies
- changed group of libgnomekbd (it is more of GNOME, than system libraries)

* Thu Jul 05 2007 Igor Zubkov <icesik@altlinux.org> 2.18.2-alt2
- apply fixes from ktirf@

* Tue Jun 05 2007 Igor Zubkov <icesik@altlinux.org> 2.18.2-alt1
- 2.18.1 -> 2.18.2
- add proper build requires with versions from configure.in

* Wed May 09 2007 Igor Zubkov <icesik@altlinux.org> 2.18.1-alt1
- build for Sisyphus


